Update User
curl --request PUT \
--url https://api.contextual.ai/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"is_tenant_admin": false,
"roles": []
}
'import requests
url = "https://api.contextual.ai/v1/users"
payload = {
"email": "<string>",
"is_tenant_admin": False,
"roles": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', is_tenant_admin: false, roles: []})
};
fetch('https://api.contextual.ai/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}/users
Update User
Modify a given User.
Fields not included in the request body will not be modified.
PUT
/
users
Update User
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The schema used for creating new users or updating existing users.
The email of the user
Flag indicating if the user is a tenant admin
The user level roles of the user.
Available options:
VISITOR, AGENT_USER, CUSTOMER_USER, CUSTOMER_INTERNAL_USER, CONTEXTUAL_STAFF_USER, CONTEXTUAL_EXTERNAL_STAFF_USER, CONTEXTUAL_INTERNAL_STAFF_USER, TENANT_ADMIN, CUSTOMER_ADMIN, CONTEXTUAL_ADMIN, SUPER_ADMIN, SERVICE_ACCOUNT Response
Successful Response
The response is of type EmptyResponse · object.
Was this page helpful?
⌘I